## python-telegram-bot 12.4.2

=== Makefile ===
.DEFAULT_GOAL := help
.PHONY: clean pep257 pep8 yapf lint test install

PYLINT          := pylint
PYTEST          := pytest
PEP257          := pep257
PEP8            := flake8
YAPF            := yapf
PIP             := pip

clean:
	rm -fr build
	rm -fr dist
	find . -name '*.pyc' -exec rm -f {} \;
	find . -name '*.pyo' -exec rm -f {} \;
	find . -name '*~' -exec rm -f {} \;
	find . -regex "./telegram.\(mp3\|mp4\|ogg\|png\|webp\)" -exec rm {} \;

pep257:
	$(PEP257) telegram

pep8:
	$(PEP8) telegram

yapf:
	$(YAPF) -r telegram

lint:
	$(PYLINT) -E telegram --disable=no-name-in-module,import-error

test:
	$(PYTEST) -v

install:
	$(PIP)  install -r requirements.txt -r requirements-dev.txt

help:
	@echo "Available targets:"
	@echo "- clean       Clean up the source directory"
	@echo "- pep257      Check docstring style with pep257"
	@echo "- pep8        Check style with flake8"
	@echo "- lint        Check style with pylint"
	@echo "- yapf        Check style with yapf"
	@echo "- test        Run tests using pytest"
	@echo
	@echo "Available variables:"
	@echo "- PYLINT      default: $(PYLINT)"
	@echo "- PYTEST      default: $(PYTEST)"
	@echo "- PEP257      default: $(PEP257)"
	@echo "- PEP8        default: $(PEP8)"
	@echo "- YAPF        default: $(YAPF)"
	@echo "- PIP         default: $(PIP)"

=== requirements.txt ===
future>=0.16.0
certifi
tornado>=5.1
cryptography
decorator>=4.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonTelegramBot.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonTelegramBot.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonTelegramBot"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonTelegramBot"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-telegram-bot 12.3.0

=== debian/changelog ===
python-telegram-bot (12.3.0-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 03 Feb 2020 02:00:06 +0800

python-telegram-bot (12.2.0-2) unstable; urgency=low

  * Bump Standards-Version to 4.4.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 13 Nov 2019 03:30:30 +0800

python-telegram-bot (12.2.0-1) unstable; urgency=low

  * Initial release (Closes: #942691)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Oct 2019 11:18:31 +0800

=== debian/control ===
Source: python-telegram-bot
Section: python
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-bs4,
               python3-certifi,
               python3-cryptography,
               python3-flaky,
               python3-future,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-timeout,
               python3-setuptools,
               python3-tornado,
               python3-urllib3
Standards-Version: 4.4.1
Homepage: https://python-telegram-bot.org/

Package: python3-python-telegram-bot
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-python-telegram-bot-doc
Description: python module for Telegram Bot API (Python 3)
 This package contains the python module for Telegram Bot API. You can use it
 simply as an API if you want to implement logic by yourself, or you can enable
 retrieving of updates and get messages sent to your bot in a callback.
 .
 This package installs the library for Python 3.

Package: python3-python-telegram-bot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: python module for Telegram Bot API (common documentation)
 This package contains the python module for Telegram Bot API. You can use it
 simply as an API if you want to implement logic by yourself, or you can enable
 retrieving of updates and get messages sent to your bot in a callback.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-telegram-bot

%:
	dh $@ --with python3 --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.pytest_cache
	rm -rf $(CURDIR)/python_telegram_bot.egg-info

override_dh_auto_test:
	# The unit test connects to the internet thus we disable it.

## python-telegram-bot 12.4.2

=== debian/changelog ===
python-telegram-bot (12.4.2-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 11 Feb 2020 03:10:41 +0800

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
                python3-pytest-cov,
                python3-pytest-timeout,
                python3-setuptools,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-tornado,
                python3-urllib3
 Standards-Version: 4.4.1
@@ -33,7 +35,7 @@
 Package: python3-python-telegram-bot-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: python module for Telegram Bot API (common documentation)
  This package contains the python module for Telegram Bot API. You can use it
  simply as an API if you want to implement logic by yourself, or you can enable

## python-telegram-bot 12.8

=== requirements.txt ===
certifi
tornado>=5.1
cryptography
decorator>=4.4.0

=== debian/changelog ===
python-telegram-bot (12.8-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 05 Jul 2020 10:12:40 +0800

python-telegram-bot (12.7-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 20 May 2020 05:20:51 +0800

python-telegram-bot (12.5.1-1) unstable; urgency=low

  * New upstream release
  * autopkgtest: add simple import test

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 10 Apr 2020 02:47:15 +0800

=== debian/tests/control ===
Tests: importtest
Depends: python3-python-telegram-bot
Restrictions: allow-stderr

## python-telegram-bot 13.3

=== Makefile ===
.DEFAULT_GOAL := help
.PHONY: clean pep8 black lint test install

PYLINT          := pylint
PYTEST          := pytest
PEP8            := flake8
BLACK           := black
MYPY            := mypy
PIP             := pip

clean:
	rm -fr build
	rm -fr dist
	find . -name '*.pyc' -exec rm -f {} \;
	find . -name '*.pyo' -exec rm -f {} \;
	find . -name '*~' -exec rm -f {} \;
	find . -regex "./telegram[0-9]*.\(jpg\|mp3\|mp4\|ogg\|png\|webp\)" -exec rm {} \;

pep8:
	$(PEP8) telegram tests examples

black:
	$(BLACK) .

lint:
	$(PYLINT) --rcfile=setup.cfg telegram examples

mypy:
	$(MYPY) -p telegram
	$(MYPY) examples

test:
	$(PYTEST) -v

install:
	$(PIP)  install -r requirements.txt -r requirements-dev.txt

help:
	@echo "Available targets:"
	@echo "- clean       Clean up the source directory"
	@echo "- pep8        Check style with flake8"
	@echo "- lint        Check style with pylint"
	@echo "- black       Check style with black"
	@echo "- mypy        Check type hinting with mypy"
	@echo "- test        Run tests using pytest"
	@echo
	@echo "Available variables:"
	@echo "- PYLINT      default: $(PYLINT)"
	@echo "- PYTEST      default: $(PYTEST)"
	@echo "- PEP8        default: $(PEP8)"
	@echo "- BLACK       default: $(BLACK)"
	@echo "- MYPY        default: $(MYPY)"
	@echo "- PIP         default: $(PIP)"

=== requirements.txt ===
certifi
# only telegram.ext: # Keep this line here; used in setup(-raw).py
tornado>=5.1
APScheduler==3.6.3
pytz>=2018.6

=== debian/changelog ===
python-telegram-bot (13.3-1) unstable; urgency=low

  * New upstream release.
    - Remove debian/patches/0002_fix_nocoverage.patch: not needed anymore.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 23 Feb 2021 13:00:38 +0800

python-telegram-bot (13.2-1) unstable; urgency=low

  * New upstream release.
    - Update debian/patches/0002_fix_nocoverage.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 12 Feb 2021 16:54:37 +0800

python-telegram-bot (13.1-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 03 Dec 2020 16:48:36 +0800

python-telegram-bot (13.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 08 Nov 2020 18:41:07 +0800

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-telegram-bot
export PYBUILD_CONFIGURE_ARGS=--with-upstream-urllib3
export PYBUILD_BUILD_ARGS=--with-upstream-urllib3
export PYBUILD_INSTALL_ARGS=--with-upstream-urllib3

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml \
		docs/source/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' \
		sphinx-build -N -bman \
		docs/source/ build/man # Manpage generator

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.pytest_cache
	rm -rf $(CURDIR)/python_telegram_bot.egg-info

override_dh_auto_test:
	# The unit test connects to the internet thus we disable it.

## python-telegram-bot 13.11

=== requirements.txt ===
# Make sure to install those as additional_dependencies in the
# pre-commit hooks for pylint & mypy
certifi
# only telegram.ext: # Keep this line here; used in setup(-raw).py
tornado>=6.1
APScheduler==3.6.3
pytz>=2018.6
cachetools==4.2.2

=== debian/changelog ===
python-telegram-bot (13.11-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 07 Feb 2022 10:29:02 +0800

python-telegram-bot (13.10-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 06 Jan 2022 02:31:01 +0800

python-telegram-bot (13.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 14 Nov 2021 23:01:59 +0800

## python-telegram-bot 13.13

=== debian/changelog ===
python-telegram-bot (13.13-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 01 Aug 2022 03:17:24 +0800

python-telegram-bot (13.12-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 25 Jun 2022 09:15:49 +0800

## python-telegram-bot 13.15

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # pre-commit hooks for pylint & mypy
 certifi
 # only telegram.ext: # Keep this line here; used in setup(-raw).py
-tornado>=6.1
+tornado==6.1
 APScheduler==3.6.3
 pytz>=2018.6
 cachetools==4.2.2

=== debian/changelog ===
python-telegram-bot (13.15-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 13 Dec 2022 06:34:39 +0800

python-telegram-bot (13.14-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 16 Sep 2022 16:04:56 +0800

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
 Package: python3-python-telegram-bot-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: python module for Telegram Bot API (common documentation)
  This package contains the python module for Telegram Bot API. You can use it
  simply as an API if you want to implement logic by yourself, or you can enable

## python-telegram-bot 20.8

=== requirements.txt ===
# Make sure to install those as additional_dependencies in the
# pre-commit hooks for pylint & mypy
# Also update the readme accordingly

# When dependencies release new versions and tests succeed, we should try to expand the allowed
# versions and only increase the lower bound if necessary

# httpx has no stable release yet, so let's be cautious for now
httpx ~= 0.26.0

=== debian/changelog ===
python-telegram-bot (20.8-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 13 Feb 2024 23:34:05 +0800

python-telegram-bot (20.7-2) unstable; urgency=low

  * Remove Build-Depends on python3-future (Closes: #1060088)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 07 Jan 2024 00:39:37 +0800

python-telegram-bot (20.7-1) unstable; urgency=low

  * New upstream release.
    - Remove debian/patches/0001_use_system_urllib3.patch
      The upstream already uses urllib3
  * Update debian/tests/importtest
  * Bump debhelper version to 12. Use debhelper-compat in debian/control

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 05 Jan 2024 02:42:18 +0800

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
+               furo,
+               git,
                python3-all,
                python3-bs4,
                python3-certifi,
                python3-cryptography,
                python3-flaky,
-               python3-future,
+               python3-httpx,
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-timeout,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-copybutton,
+               python3-sphinx-inline-tabs,
+               python3-sphinx-paramlinks,
                python3-sphinx-rtd-theme,
+               python3-sphinxcontrib-mermaid,
                python3-tornado,
                python3-urllib3
 Standards-Version: 4.4.1

## python-telegram-bot 21.1.1

=== requirements.txt ===
--- 
+++ 
@@ -5,5 +5,6 @@
 # When dependencies release new versions and tests succeed, we should try to expand the allowed
 # versions and only increase the lower bound if necessary
 
-# httpx has no stable release yet, so let's be cautious for now
-httpx ~= 0.26.0
+# httpx has no stable release yet, but we've had no stability problems since v20.0a0 either
+# Since there have been requests to relax the bound a bit, we allow versions < 1.0.0
+httpx ~= 0.27

=== debian/changelog ===
python-telegram-bot (21.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 17 Apr 2024 00:19:32 +0800

## python-telegram-bot 21.4

=== debian/changelog ===
python-telegram-bot (21.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add pybuild-plugin-pyproject to Build-Depends.
  * debian/control: Add python3-hatchling to Build-Depends.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 27 Aug 2024 03:23:16 +0800

## python-telegram-bot 21.10

=== debian/changelog ===
python-telegram-bot (21.10-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 26 Jan 2025 05:41:36 +0800

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
                dh-python,
                furo,
                git,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-bs4,
                python3-certifi,
                python3-cryptography,
                python3-flaky,
+               python3-hatchling,
                python3-httpx,
                python3-pytest,
                python3-pytest-cov,

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=python-telegram-bot
-export PYBUILD_CONFIGURE_ARGS=--with-upstream-urllib3
-export PYBUILD_BUILD_ARGS=--with-upstream-urllib3
-export PYBUILD_INSTALL_ARGS=--with-upstream-urllib3
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-telegram-bot 22.3

=== debian/changelog ===
python-telegram-bot (22.3-1) unstable; urgency=low

  * New upstream release.
    - Add python3-apscheduler to Build-Depends.
    - Rename debian/patches/0001_dont_use_sphinx_search.patch to
      0001_dont_use_unsupported_sphinx_extension.patch. The upstream doesn't
      use sphinx_search anymore. But a new extension called chango is used.
      chango sphinx extension is not yet in Debian. We temporarily remove it.
      We will use it after we pack it into Debian.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 13 Aug 2025 04:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                git,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-apscheduler,
                python3-bs4,
                python3-certifi,
                python3-cryptography,

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,10 @@
 # Add spinxdoc to the dh --with line
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' \
+	PYTHONPATH=./src http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' \
 		sphinx-build -N -bhtml \
 		docs/source/ build/html # HTML generator
-	PYTHONPATH=. http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' \
+	PYTHONPATH=./src http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' \
 		sphinx-build -N -bman \
 		docs/source/ build/man # Manpage generator

## python-telegram-bot 22.4

=== debian/changelog ===
python-telegram-bot (22.4-1) unstable; urgency=low

  * New upstream release.
  * Add debian/patches/0001_fix_privacy_breach.patch
    - Fix lintian warning privacy-breach-logo and privacy-breach-generic

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 14 Sep 2025 17:53:40 +0100

python-telegram-bot (22.3-2) unstable; urgency=low

  * Remove debian/patches/0001_dont_use_sphinx_search.patch.
    - python-sphinx-chango is uploaded to Debian.
    - debian/control: add python-sphinx-chango to Build-Depends.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 28 Aug 2025 20:50:00 +0100

## python-telegram-bot 22.5

=== debian/changelog ===
python-telegram-bot (22.5-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 02 Oct 2025 18:25:25 +0300

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                python3-pytest-timeout,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-chango,
                python3-sphinx-copybutton,
                python3-sphinx-inline-tabs,
                python3-sphinx-paramlinks,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # If you need to rebuild the Sphinx documentation
 # Add spinxdoc to the dh --with line
 override_dh_auto_build:
+	cp -r $(CURDIR)/debian/staimg $(CURDIR)
 	dh_auto_build
 	PYTHONPATH=./src http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' \
 		sphinx-build -N -bhtml \
@@ -23,6 +24,8 @@
 	dh_auto_clean
 	rm -rf $(CURDIR)/.pytest_cache
 	rm -rf $(CURDIR)/python_telegram_bot.egg-info
+	rm -rf $(CURDIR)/staimg
 
 override_dh_auto_test:
 	# The unit test connects to the internet thus we disable it.
+	echo "Skip test because it uses the internet:"

=== debian/tests/control ===
Tests: importtest
Depends: python3-python-telegram-bot
Restrictions: allow-stderr, superficial

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-telegram-bot-$1.tar.gz%" \
   https://github.com/python-telegram-bot/python-telegram-bot/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
